Retrieve events based on filters (deprecated)
curl --request POST \
--url https://api.dp1.us.honeyhive.ai/v1/events/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"field": "<string>",
"value": "<string>"
}
],
"projections": [
"<string>"
],
"limit": 123,
"page": 123,
"ignore_order": true,
"evaluation_id": "<string>"
}
'import requests
url = "https://api.dp1.us.honeyhive.ai/v1/events/export"
payload = {
"filters": [
{
"field": "<string>",
"value": "<string>"
}
],
"projections": ["<string>"],
"limit": 123,
"page": 123,
"ignore_order": True,
"evaluation_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{field: '<string>', value: '<string>'}],
projections: ['<string>'],
limit: 123,
page: 123,
ignore_order: true,
evaluation_id: '<string>'
})
};
fetch('https://api.dp1.us.honeyhive.ai/v1/events/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"project": "<string>",
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"event_type": "model",
"event_id": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": [
"<string>"
],
"config": {},
"inputs": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
}
],
"count": 123
}Retrieve events based on filters (deprecated)
deprecated
Deprecated. Use POST /v1/events/search instead.
POST
/
v1
/
events
/
export
Retrieve events based on filters (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for POST /v1/events/export
Array of filter criteria to apply
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Fields to include in the response
Limit number of results (default 1000, max 7500)
Page number of results (default 1)
If true, skip result ordering for faster queries
Filter by evaluation/experiment run ID
Was this page helpful?